### Function

# Gimp message_get_handler

#### Declaration [src]

    GimpMessageHandlerType
    gimp_message_get_handler (
      void
    )

#### Description [src]

Returns the current state of where warning messages are displayed.

This procedure returns the way g_message warnings are displayed. They can be shown in a dialog box or printed on the console where gimp was started.

#### Return value

Type: `GimpMessageHandlerType`

The current handler type.